# HaruPage::setDash

(PECL haru >= 0.0.1)

HaruPage::setDash — Set the dash pattern for the page

### Description

HaruPage::setDash ( array `$pattern` , int `$phase` ) : bool

Defines the dash pattern for the page.

### Parameters

`pattern`

  An array (8 elements max) which contains a pattern of dashes and gaps used for lines on the page.

`phase`

  The phase on which the pattern begins.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::getDash() - Get the current dash pattern